from launch import LaunchDescription
from launch_ros.actions import Node
from tracetools_launch.action import Trace

def generate_launch_description():
    return LaunchDescription([
        Trace(
            session_name='full_topology_tracing',
            events_ust=[
                'rclcpp:*', 'rcl:*', 'rmw:*', 'ros2:*', 'rclcpp:*callback*', 'rclcpp:*executor*'
            ],
            events_kernel=[
                'sched_switch', 'sched_wakeup'
            ],
        ),
        
        Node(
            package='full_topology',
            executable='full_topology',
            output='screen',
        ),
    ])
